Bug 1247939 - cups local printer not configurable if cups server already present
cups local printer not configurable if cups server already present
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 05:51 EDT by Saro
Modified: 2016-07-19 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:14:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saro 2015-07-29 05:51:17 EDT
Description of problem:
A cups server is already configured in my laptop(as part of my office lan).
Now if I try to connect a USB based printer to my laptop. I cannot print using this, nor able to configure this printer.

Please note, I can see the printer is detected properly by the laptop (using dmesg). BUT, I cannot configure the printer using the UI, neither be able to add the printer.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Have a cups server already configured.
2. Now, try to connect a local (USB based) printer.
3. Kernel detected the printer, but unable to get the printer configured at all.


Actual results:

Expected results:

Configuring a local usb printer should be quite easy ( although I have a cups server configured)


Additional info:
$ rpm -qa | grep cups
cups-filters-libs-1.0.69-2.fc22.x86_64
gutenprint-cups-5.2.10-11.fc22.x86_64
cups-filesystem-2.0.3-1.fc22.noarch
cups-pk-helper-0.2.5-5.fc22.x86_64
cups-client-2.0.3-1.fc22.x86_64
cups-pdf-2.6.1-9.fc22.x86_64
cups-2.0.3-1.fc22.x86_64
cups-libs-2.0.3-1.fc22.i686
python3-cups-1.9.72-1.fc22.x86_64
cups-libs-2.0.3-1.fc22.x86_64
bluez-cups-5.29-2.fc22.x86_64
cups-filters-1.0.69-2.fc22.x86_64


$ cat /etc/cups/client.conf 
ServerName  cups.country.company_name.com


PS:
Please note once I add "ServerName localhost" in client.conf, it is working.
BUT, I Need to manually edit this.  This should be easily doable using UI itself.
Comment 1 Jiri Popelka 2015-07-29 06:47:18 EDT
Could you attach some logs obtained via:

# cupsctl LogLevel=debug
# systemctl restart cups.service
try to connect the printer
# journalctl -u cups.service -e
Comment 2 Fedora Admin XMLRPC Client 2016-06-24 06:30:08 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-07-19 13:14:52 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.